> ## Documentation Index
> Fetch the complete documentation index at: https://docs.onlyfansapi.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List Active Stories (/api-reference/stories/list-active-stories)

Retrieve a list of your currently active stories.

## OpenAPI

````yaml https://app.onlyfansapi.com/scribe-docs/openapi.yaml get /api/{account}/stories
openapi: 3.0.3
info:
  title: OnlyFans API
  description: ""
  version: 1.0.0
servers:
  - url: https://app.onlyfansapi.com
security:
  - default: []
tags:
  - name: API Keys
    description: ""
  - name: Account
    description: Endpoints for your linked accounts
  - name: Analytics - Financial
    description: APIs for retrieving financial analytics data
  - name: Analytics - Summary
    description: APIs for retrieving summary analytics data
  - name: Banking
    description: Operations related to user banking details, payout methods, legal
      and tax information, and account country settings.
  - name: Chargebacks
    description: ""
  - name: Chat Messages
    description: ""
  - name: Chats
    description: ""
  - name: Client Sessions
    description: ""
  - name: Connect OnlyFans Account
    description: ""
  - name: Data Exports
    description: APIs for managing data exports
  - name: Engagement / Messages
    description: ""
  - name: Fans
    description: APIs for managing OnlyFans fans (subscribers)
  - name: Fans - AI Summary
    description: APIs for generating and retrieving AI-powered fan profile summaries
  - name: Following
    description: APIs for managing OnlyFans followings (people you're subscribed to)
  - name: Free Trial Links
    description: APIs for managing Free Trial Links
  - name: Giphy
    description: ""
  - name: Link Tags
    description: APIs for managing tags on free trial links and tracking links
  - name: Mass Messaging
    description: ""
  - name: Media
    description: ""
  - name: Media Vault
    description: ""
  - name: Media Vault Lists
    description: ""
  - name: Notifications
    description: Endpoints for managingr account notifications
  - name: Payouts
    description: ""
  - name: Post Comments
    description: ""
  - name: Post Labels
    description: APIs for managing your post labels
  - name: Posts
    description: APIs for managing OnlyFans posts
  - name: Promotions
    description: ""
  - name: Public Profiles
    description: ""
  - name: Queue
    description: ""
  - name: Release Forms
    description: APIs for managing OnlyFans release forms
  - name: Saved For Later (Messages)
    description: ""
  - name: Saved For Later (Posts)
    description: ""
  - name: Settings
    description: ""
  - name: Shared Free Trial Links
    description: APIs for Free Trial Links that other OF creators have shared with
      this account. Revenue, cost, and spender data are not available for shared
      links.
  - name: Shared Tracking Links
    description: APIs for Tracking Links (campaigns) that other OF creators have
      shared with this account. Revenue, cost, and spender data are not
      available for shared campaigns.
  - name: Smart Link Postbacks
    description: APIs for managing Smart Link postback destinations
  - name: Smart Links
    description: APIs for managing Smart Links (Free Trial Links and Tracking Links
      with pooled inventory)
  - name: Statistics
    description: ""
  - name: Stored Free Trial Links
    description: Instant APIs for retrieving stored free trial links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Free Trial Links
    description: Instant APIs for retrieving stored shared Free Trial Links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stored Shared Tracking Links
    description: Instant APIs for retrieving stored shared Tracking Links
      (campaigns) from the OnlyFansAPI Cache (free, no credits used)
  - name: Stored Tracking Links
    description: Instant APIs for retrieving stored tracking links from the
      OnlyFansAPI Cache (free, no credits used)
  - name: Stories
    description: APIs for managing OnlyFans stories
  - name: Story Highlights
    description: APIs for managing OnlyFans story highlights
  - name: Subscription Bundles
    description: ""
  - name: Tracking Links
    description: APIs for managing tracking links
  - name: Transactions
    description: APIs for managing OnlyFans transactions
  - name: User List Collections
    description: ""
  - name: Users
    description: APIs for fetching OnlyFans users
  - name: Webhooks
    description: ""
paths:
  /api/{account}/stories:
    parameters:
      - in: path
        name: account
        description: The Account ID
        example: acct_XXXXXXXXXXXXXXX
        required: true
        schema:
          type: string
    get:
      summary: List Active Stories
      operationId: listActiveStories
      description: Retrieve a list of your currently active stories.
      parameters: []
      responses:
        "200":
          description: Success
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    - id: 123
                      userId: 123
                      isReady: true
                      hasPost: false
                      isWatched: true
                      media:
                        - id: 123
                          type: photo
                          convertedToVideo: false
                          canView: true
                          hasError: false
                          createdAt: 2025-01-01T01:01:01+00:00
                          isReady: true
                          files:
                            full:
                              url: https://cdn2.onlyfans.com/files/...
                              width: 600
                              height: 400
                              size: 0
                              sources: []
                            thumb:
                              url: https://cdn2.onlyfans.com/files/...
                              width: 300
                              height: 300
                              size: 0
                            preview:
                              url: https://cdn2.onlyfans.com/files/...
                              width: 600
                              height: 400
                              size: 0
                              sources:
                                w150: https://cdn2.onlyfans.com/files/...
                            squarePreview:
                              url: https://cdn2.onlyfans.com/files/...
                              width: 960
                              height: 960
                              size: 0
                              sources:
                                w150: https://thumbs.onlyfans.com/...
                                w480: https://thumbs.onlyfans.com/...
                          duration: 0
                          hasCustomPreview: false
                          videoSources:
                            "240": null
                            "720": null
                      createdAt: 2025-01-01T01:01:01+00:00
                      question: null
                      viewersCount: 0
                      viewers: []
                      commentsCount: 0
                      canDelete: true
                      isHighlightCover: false
                      isLastInHighlight: false
                      tipsAmount: $0
                      tipsAmountRaw: 0
                      tipsCount: 0
                      likesCount: 0
                      releaseForms: []
                  _meta:
                    _credits:
                      used: 1
                      balance: 1000999770
                      note: Always
                    _cache:
                      is_cached: false
                      note: Cache disabled for this endpoint
                    _rate_limits:
                      limit_minute: 5000
                      limit_day: null
                      remaining_minute: 4996
                      remaining_day: null
                      notice: We have decided to remove our daily rate limits. Please remove any
                        references to these in your integrations.
                properties:
                  data:
                    type: array
                    example:
                      - id: 123
                        userId: 123
                        isReady: true
                        hasPost: false
                        isWatched: true
                        media:
                          - id: 123
                            type: photo
                            convertedToVideo: false
                            canView: true
                            hasError: false
                            createdAt: 2025-01-01T01:01:01+00:00
                            isReady: true
                            files:
                              full:
                                url: https://cdn2.onlyfans.com/files/...
                                width: 600
                                height: 400
                                size: 0
                                sources: []
                              thumb:
                                url: https://cdn2.onlyfans.com/files/...
                                width: 300
                                height: 300
                                size: 0
                              preview:
                                url: https://cdn2.onlyfans.com/files/...
                                width: 600
                                height: 400
                                size: 0
                                sources:
                                  w150: https://cdn2.onlyfans.com/files/...
                              squarePreview:
                                url: https://cdn2.onlyfans.com/files/...
                                width: 960
                                height: 960
                                size: 0
                                sources:
                                  w150: https://thumbs.onlyfans.com/...
                                  w480: https://thumbs.onlyfans.com/...
                            duration: 0
                            hasCustomPreview: false
                            videoSources:
                              "240": null
                              "720": null
                        createdAt: 2025-01-01T01:01:01+00:00
                        question: null
                        viewersCount: 0
                        viewers: []
                        commentsCount: 0
                        canDelete: true
                        isHighlightCover: false
                        isLastInHighlight: false
                        tipsAmount: $0
                        tipsAmountRaw: 0
                        tipsCount: 0
                        likesCount: 0
                        releaseForms: []
                    items:
                      type: object
                      properties:
                        id:
                          type: integer
                          example: 123
                        userId:
                          type: integer
                          example: 123
                        isReady:
                          type: boolean
                          example: true
                        hasPost:
                          type: boolean
                          example: false
                        isWatched:
                          type: boolean
                          example: true
                        media:
                          type: array
                          example:
                            - id: 123
                              type: photo
                              convertedToVideo: false
                              canView: true
                              hasError: false
                              createdAt: 2025-01-01T01:01:01+00:00
                              isReady: true
                              files:
                                full:
                                  url: https://cdn2.onlyfans.com/files/...
                                  width: 600
                                  height: 400
                                  size: 0
                                  sources: []
                                thumb:
                                  url: https://cdn2.onlyfans.com/files/...
                                  width: 300
                                  height: 300
                                  size: 0
                                preview:
                                  url: https://cdn2.onlyfans.com/files/...
                                  width: 600
                                  height: 400
                                  size: 0
                                  sources:
                                    w150: https://cdn2.onlyfans.com/files/...
                                squarePreview:
                                  url: https://cdn2.onlyfans.com/files/...
                                  width: 960
                                  height: 960
                                  size: 0
                                  sources:
                                    w150: https://thumbs.onlyfans.com/...
                                    w480: https://thumbs.onlyfans.com/...
                              duration: 0
                              hasCustomPreview: false
                              videoSources:
                                "240": null
                                "720": null
                          items:
                            type: object
                            properties:
                              id:
                                type: integer
                                example: 123
                              type:
                                type: string
                                example: photo
                              convertedToVideo:
                                type: boolean
                                example: false
                              canView:
                                type: boolean
                                example: true
                              hasError:
                                type: boolean
                                example: false
                              createdAt:
                                type: string
                                example: 2025-01-01T01:01:01+00:00
                              isReady:
                                type: boolean
                                example: true
                              files:
                                type: object
                                properties:
                                  full:
                                    type: object
                                    properties:
                                      url:
                                        type: string
                                        example: https://cdn2.onlyfans.com/files/...
                                      width:
                                        type: integer
                                        example: 600
                                      height:
                                        type: integer
                                        example: 400
                                      size:
                                        type: integer
                                        example: 0
                                      sources:
                                        type: array
                                        example: []
                                  thumb:
                                    type: object
                                    properties:
                                      url:
                                        type: string
                                        example: https://cdn2.onlyfans.com/files/...
                                      width:
                                        type: integer
                                        example: 300
                                      height:
                                        type: integer
                                        example: 300
                                      size:
                                        type: integer
                                        example: 0
                                  preview:
                                    type: object
                                    properties:
                                      url:
                                        type: string
                                        example: https://cdn2.onlyfans.com/files/...
                                      width:
                                        type: integer
                                        example: 600
                                      height:
                                        type: integer
                                        example: 400
                                      size:
                                        type: integer
                                        example: 0
                                      sources:
                                        type: object
                                        properties:
                                          w150:
                                            type: string
                                            example: https://cdn2.onlyfans.com/files/...
                                  squarePreview:
                                    type: object
                                    properties:
                                      url:
                                        type: string
                                        example: https://cdn2.onlyfans.com/files/...
                                      width:
                                        type: integer
                                        example: 960
                                      height:
                                        type: integer
                                        example: 960
                                      size:
                                        type: integer
                                        example: 0
                                      sources:
                                        type: object
                                        properties:
                                          w150:
                                            type: string
                                            example: https://thumbs.onlyfans.com/...
                                          w480:
                                            type: string
                                            example: https://thumbs.onlyfans.com/...
                              duration:
                                type: integer
                                example: 0
                              hasCustomPreview:
                                type: boolean
                                example: false
                              videoSources:
                                type: object
                                properties:
                                  "240":
                                    type: string
                                    example: null
                                    nullable: true
                                  "720":
                                    type: string
                                    example: null
                                    nullable: true
                        createdAt:
                          type: string
                          example: 2025-01-01T01:01:01+00:00
                        question:
                          type: string
                          example: null
                          nullable: true
                        viewersCount:
                          type: integer
                          example: 0
                        viewers:
                          type: array
                          example: []
                        commentsCount:
                          type: integer
                          example: 0
                        canDelete:
                          type: boolean
                          example: true
                        isHighlightCover:
                          type: boolean
                          example: false
                        isLastInHighlight:
                          type: boolean
                          example: false
                        tipsAmount:
                          type: string
                          example: $0
                        tipsAmountRaw:
                          type: integer
                          example: 0
                        tipsCount:
                          type: integer
                          example: 0
                        likesCount:
                          type: integer
                          example: 0
                        releaseForms:
                          type: array
                          example: []
                  _meta:
                    type: object
                    properties:
                      _credits:
                        type: object
                        properties:
                          used:
                            type: integer
                            example: 1
                          balance:
                            type: integer
                            example: 1000999770
                          note:
                            type: string
                            example: Always
                      _cache:
                        type: object
                        properties:
                          is_cached:
                            type: boolean
                            example: false
                          note:
                            type: string
                            example: Cache disabled for this endpoint
                      _rate_limits:
                        type: object
                        properties:
                          limit_minute:
                            type: integer
                            example: 5000
                          limit_day:
                            type: string
                            example: null
                            nullable: true
                          remaining_minute:
                            type: integer
                            example: 4996
                          remaining_day:
                            type: string
                            example: null
                            nullable: true
                          notice:
                            type: string
                            example: We have decided to remove our daily rate limits. Please remove any
                              references to these in your integrations.
      tags:
        - Stories
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: Get your API Key from OnlyFansAPI Console -
        https://app.onlyfansapi.com/api-keys
````